io.vertx.pgclient

## Class PgNotification

- java.lang.Object
- - io.vertx.pgclient.PgNotification

-     public class PgNotification
      extends Object

  A notification emited by Postgres.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgNotification()`
    `PgNotification(JsonObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getChannel()`
    `String` | `getPayload()`
    `int` | `getProcessId()`
    `PgNotification` | `setChannel(String channel)` Set the channel value.
    `PgNotification` | `setPayload(String payload)` Set the payload value.
    `PgNotification` | `setProcessId(int processId)` Set the process id.
    `JsonObject` | `toJson()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PgNotification

          public PgNotification()

    - #### PgNotification

          public PgNotification(JsonObject json)

  - ### Method Detail

    - #### getProcessId

          public int getProcessId()

      Returns:
        the notification process id

    - #### setProcessId

          public PgNotification setProcessId(int processId)

      Set the process id.
      Returns:
        a reference to this, so the API can be used fluently

    - #### getChannel

          public String getChannel()

      Returns:
        the notification channel value

    - #### setChannel

          public PgNotification setChannel(String channel)

      Set the channel value.
      Returns:
        a reference to this, so the API can be used fluently

    - #### getPayload

          public String getPayload()

      Returns:
        the notification payload value

    - #### setPayload

          public PgNotification setPayload(String payload)

      Set the payload value.
      Returns:
        a reference to this, so the API can be used fluently

    - #### toJson

          public JsonObject toJson()

Copyright © 2022 Eclipse. All rights reserved.